## org.apache.lucene.search
Class SpanFilterResult.PositionInfo

    java.lang.Object
      org.apache.lucene.search.SpanFilterResult.PositionInfo

Enclosing class:
  SpanFilterResult

    public static class SpanFilterResult.PositionInfo

extends Object

Constructor Summary
`SpanFilterResult.PositionInfo(int doc)`

Method Summary
`void` `addPosition(int start, int end)`
`int` `getDoc()`
`List<SpanFilterResult.StartEnd>` `getPositions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanFilterResult.PositionInfo

    public SpanFilterResult.PositionInfo(int doc)

Method Detail

### addPosition

    public void addPosition(int start,
                            int end)

### getDoc

    public int getDoc()

### getPositions

    public List<SpanFilterResult.StartEnd> getPositions()

  Returns:
    Positions